import Vue from 'vue';
import 'element-ui/lib/theme-chalk/index.css';
import {
	Button,
	Input,
	Form,
	FormItem,
	Table,
	TableColumn,
	Container,
	DatePicker,
	Select,
	Option,
	Upload,
	Slider,
	Checkbox,
	CheckboxGroup,
	Popconfirm,
	Cascader,
	CascaderPanel,
	Header,
	Card,
	Tag,
	Menu,
	MenuItem,
	Submenu,
	Pagination,
	Loading,
	Popover,
	Footer,
	Tooltip,
	Main,
	Aside,
	Radio,
	RadioGroup,
	Switch,
	Row,
	Link,
	Tree,
	Col,
	Image,
	MessageBox,
	Notification,
	Divider,
	Carousel,
	CarouselItem,
	Dropdown,
	DropdownMenu,
	DropdownItem,
	Calendar,
	Timeline,
	TimelineItem,
	Message,
	Dialog,
	Tabs,
	TabPane,
	TimeSelect,
	Transfer,
	ColorPicker,
	RadioButton,
	Drawer,
	Badge,
	TimePicker,
} from 'element-ui';
Vue.use(TimePicker);
Vue.use(Badge);
Vue.use(Drawer);
Vue.use(RadioButton);
Vue.use(ColorPicker);
Vue.use(Transfer);
Vue.use(Dialog);
Vue.use(Timeline);
Vue.use(TimelineItem);
Vue.use(Calendar);
Vue.use(Dropdown);
Vue.use(DropdownMenu);
Vue.use(DropdownItem);
Vue.use(CarouselItem);
Vue.use(Button);
Vue.use(Input);
Vue.use(Form);
Vue.use(Table);
Vue.use(TableColumn);
Vue.use(Select);
Vue.use(Upload);
Vue.use(Checkbox);
Vue.use(CheckboxGroup);
Vue.use(FormItem);
Vue.use(Container);
Vue.use(DatePicker);
Vue.use(Header);
Vue.use(Aside);
Vue.use(Card);
Vue.use(Menu);
Vue.use(Popconfirm);
Vue.use(Cascader);
Vue.use(CascaderPanel);
Vue.use(MenuItem);
Vue.use(Submenu);
Vue.use(Main);
Vue.use(Option);
Vue.use(Loading);
Vue.use(Pagination);
Vue.use(Footer);
Vue.use(Tooltip);
Vue.use(Row);
Vue.use(Col);
Vue.use(Image);
Vue.use(Radio);
Vue.use(Link);
Vue.use(Tag);
Vue.use(Tree);
Vue.use(Popover);
Vue.use(RadioGroup);
Vue.use(Switch);
Vue.use(Divider)
Vue.use(Slider)
Vue.use(Carousel)
Vue.use(Tabs)
Vue.use(TabPane)
Vue.use(TimeSelect)
Vue.prototype.$confirm = MessageBox.confirm;
Vue.prototype.$prompt = MessageBox.prompt;
Vue.prototype.$notify = Notification;
Vue.prototype.$message = Message;
